# Class: Circle

## Circle

Defines a circle shape in the map. Relates to google.maps.Circle class.

#### new Circle()

  ##### Properties:

  Name | Type | Description
  --- | --- | ---

  `props`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `radius` | number |

  `center`

  object

  ###### Properties

  Name | Type | Description
  --- | --- | ---
  `lat` | number |
  `lng` | number |

  `onRadiusChange` | function |
  `onCenterChange` | function |

  Source:
    - components/circle.js, line 13

### Methods

#### focus()

  Focus the map on this circle.

  Source:
    - components/circle.js, line 23

#### setupListeners()

  Setup the listeners for this circle

  Source:
    - components/circle.js, line 31

#### Search results